%{?dist: %{expand: %%define dist_%dist 1}}

Summary:     An event notification library
Name:        libevent
Version:     1.3e
Release:     3%{?dist:.%{dist}}%{?pext}
License:     BSD
Group:       System Environment/Libraries
Source0:     http://monkey.org/~provos/%{name}-%{version}.tar.gz
Patch0:      %{name}-1.3e-libver.patch
URL:         http://monkey.org/~provos/%{name}/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Niels Provos <provos@citi.umich.edu>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}%{?pext}
Prereq:      fileutils glibc
BuildPrereq: fileutils glibc-devel gcc make
ExclusiveOS: linux

%description
Libevent provides an API to execute a callback function when a
specific event occurs on a file descriptor or after a timeout
has been reached. Furthermore, it also support callbacks due to
signals or regular timeouts. It is meant to replace the event
loop found in event driven network servers. Currently, %{name}
supports /dev/poll, kqueue, select, poll and epoll. It also has
experimental support for real-time signals. %{name} allows for
portable application development and provides the most scalable
event notification mechanism available on an operating system.


%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Provides:    %{name}-devel%{?pext}
Requires:    %{name} = %{version}-%{release} %{name}%{?pext}

%description devel
The %{name}-devel package contains the static libraries and header
files for developing software using %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure \
	--enable-shared \
	--enable-static

%{__make} \
	all

#pushd test
#./test.sh
#popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?


%post
ldconfig


%postun
ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc sample/*.c
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_mandir}/man3/*


%changelog
* Tue Oct 09 2007 peter.pramberger@member.fsf.org 1.3e-3
- new version (1.3e)
- fixed library versioning

* Wed Sep 12 2007 peter.pramberger@member.fsf.org 1.3d-3
- new version (1.3d)

* Fri May 11 2007 peter.pramberger@member.fsf.org 1.3b-3
- new version (1.3b)

* Thu Jan 18 2007 peter.pramberger@member.fsf.org 1.2a-3
- new version (1.2a)

* Thu Sep 07 2006 peter.pramberger@member.fsf.org
- new version (1.1b)

* Wed Oct 26 2005 peter.pramberger@member.fsf.org
- created

